<?php

use Illuminate\Support\Facades\Route;
use Modules\Callback\Http\Controllers\CallbackLogController;
use Modules\Callback\Http\Controllers\JuliangAccountController;

Route::prefix('callback')->group(function () {
    Route::prefix('juliangAccount')->group(function(){
        Route::get('list', [JuliangAccountController::class, 'list']);
        Route::post('addAccount', [JuliangAccountController::class, 'addAccount']);
        Route::post('updateCallbackConfig', [JuliangAccountController::class, 'updateCallbackConfig']);
        Route::post('turnCallbackState', [JuliangAccountController::class, 'turnCallbackState']);
        Route::post('unbindPromotion', [JuliangAccountController::class, 'unbindPromotion']);
        Route::get('log/list', [CallbackLogController::class, 'list']);
        Route::post('log/callbackAgain', [CallbackLogController::class, 'callbackAgain']);
    });
});

